Skip to main content
GET
List Endpoint Attempts

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

endpoint_id
string
required

Query Parameters

limit
integer
default:50

Items per page.

Required range: 1 <= x <= 250
iterator
string | null

Cursor from the previous page's iterator field.

before
string<date-time> | null

Only attempts created before this timestamp.

after
string<date-time> | null

Only attempts created after this timestamp.

status
integer | null

Filter by status: 0=success, 1=pending, 2=failed, 3=sending.

event_types
string[] | null

Filter by event type(s).

Response

Successful Response

data
WebhookMessageAttemptResponse · object[]
required
done
boolean
required

True when this is the last page.

iterator
string | null

Pass as iterator in the next request to fetch the following page.

prevIterator
string | null